aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Grzegorz Grzybek (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ARIES-1145) Version Check Plugin fails to run with Maven 3.1+
Date Thu, 13 Feb 2014 09:33:22 GMT

    [ https://issues.apache.org/jira/browse/ARIES-1145?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13900163#comment-13900163
] 

Grzegorz Grzybek commented on ARIES-1145:
-----------------------------------------

I've resolved the same issue for karaf-maven-plugin - see [this comment|https://issues.apache.org/jira/browse/KARAF-2395?focusedCommentId=13880824&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-13880824]
for the details.

If you like the solution, I can prepare a Pull Request for Aries too.

regards
Grzegorz Grzybek

> Version Check Plugin fails to run with Maven 3.1+
> -------------------------------------------------
>
>                 Key: ARIES-1145
>                 URL: https://issues.apache.org/jira/browse/ARIES-1145
>             Project: Aries
>          Issue Type: Bug
>            Reporter: Chetan Mehrotra
>
> When building a project which uses the org.apache.aries.versioning:org.apache.aries.versioning.plugin:0.1.0
with Maven 3.1 plus the following exception is logged 
> {noformat}
> [INFO] --- org.apache.aries.versioning.plugin:0.1.0:version-check (default-verify) @
org.apache.felix.scr ---
> [WARNING] Error injecting: org.apache.aries.versioning.mojo.VersionCheckerMojo
> java.lang.NoClassDefFoundError: org/sonatype/aether/resolution/ArtifactResolutionException
> at java.lang.Class.getDeclaredConstructors0(Native Method)
> at java.lang.Class.privateGetDeclaredConstructors(Class.java:2398)
> at java.lang.Class.getDeclaredConstructors(Class.java:1838)
> at com.google.inject.spi.InjectionPoint.forConstructorOf(InjectionPoint.java:245)
> at com.google.inject.internal.ConstructorBindingImpl.create(ConstructorBindingImpl.java:99)
> at com.google.inject.internal.InjectorImpl.createUninitializedBinding(InjectorImpl.java:653)
> at com.google.inject.internal.InjectorImpl.createJustInTimeBinding(InjectorImpl.java:863)
> at com.google.inject.internal.InjectorImpl.createJustInTimeBindingRecursive(InjectorImpl.java:790)
> at com.google.inject.internal.InjectorImpl.getJustInTimeBinding(InjectorImpl.java:278)
> at com.google.inject.internal.InjectorImpl.getBindingOrThrow(InjectorImpl.java:210)
> at com.google.inject.internal.InjectorImpl.getProviderOrThrow(InjectorImpl.java:986)
> at com.google.inject.internal.InjectorImpl.getProvider(InjectorImpl.java:1019)
> at com.google.inject.internal.InjectorImpl.getProvider(InjectorImpl.java:982)
> at com.google.inject.internal.InjectorImpl.getInstance(InjectorImpl.java:1032)
> {noformat}
> More detailed log [here|https://paste.apache.org/23vt]. This is probably due to change
in Aether moving to Eclipse and which causes the package names to change to org.eclipse as
mentioned at https://cwiki.apache.org/confluence/display/MAVEN/AetherClassNotFound
> Also have a look at [MNG-5482|https://jira.codehaus.org/browse]/MNG-5482



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message